# Interface DataParsing

All Known Implementing Classes:
  `Mackerel, MackerelSerra, Merlu, Population`

public interface DataParsing
Interface définissant la fonction de Parsing des données

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static <T> HashSet<T>`
  `parse(RawData data)`
  `static <T> HashSet<T>`
  `parse(RawData data, int parseTypeId)`
  Permet de parser un élément à partir d'un objet RawData.

- ## Method Details

  - ### parse

    static <T> HashSet<T> parse(RawData data, int parseTypeId) throws RawDataOverflow, InvalidParsingException
    Permet de parser un élément à partir d'un objet RawData.
    Type Parameters:
      `T` - Notre paramètre générique adaptable à plusieurs classes.
    Parameters:
      `data` - l'objet RawData
      `parseTypeId` - Permet d'indiquer le type de Parsing que l'on veut.
    Returns:
      Un HashSet de données T retourné.
    Throws:
      `RawDataOverflow` - Si on dépasse la taille de l'objet RawData.
      `InvalidParsingException` - Si le type de parsing n'existe pas.

  - ### parse

    static <T> HashSet<T> parse(RawData data) throws RawDataOverflow, InvalidParsingException
    Throws:
      `RawDataOverflow`
      `InvalidParsingException`